upgrade to the 20.08

Need support for GhostBSD. Ask here if your question does not fit elsewhere.
Post Reply
radek
Posts: 8
Joined: Fri Nov 02, 2018 11:43 am
Has thanked: 0
Been thanked: 0

upgrade to the 20.08

Post by radek »

There is an error after upgrade to the 20.08. System wants all the time upgrade packages. Everything is up to date ( MATE 1.24.0 ). When i do pkg upgrade -f it wants upgrade package once again. 739 packages.

ouaille_aime_scier_
Posts: 68
Joined: Sun Sep 01, 2019 1:38 pm
Has thanked: 0
Been thanked: 8 times

Re: upgrade to the 20.08

Post by ouaille_aime_scier_ »

The

Code: Select all

 pkg upgrade -f 
option involves a complete reinstallation of the system. This command has to be invoked juste after upgrading the kernel and base environment to reinstall all the packages recompiled with the new base.
You have to do a simple

Code: Select all

 pkg upgrade 
to avoid this.

User avatar
ericbsd
Developer
Posts: 1624
Joined: Mon Nov 19, 2012 7:54 pm
Has thanked: 57 times
Been thanked: 87 times

Re: upgrade to the 20.08

Post by ericbsd »

There is no need to run pkg upgrade -f if pkg update -f does not return kernel change.

Also to see if you are up to date run pkg upgrade -n if there is no packages to update you do not need to run pkg upgrade or pkg upgrade -f.

Chance is that if there is no update Icon on your notification tray there is no update to do.

Post Reply